Bug 1996032 - cluster-kube-apiserver-operator should not run with pre-release libraries
Summary: cluster-kube-apiserver-operator should not run with pre-release libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Stefan Schimanski
QA Contact: Rahul Gangwar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-20 11:24 UTC by Stefan Schimanski
Modified: 2021-10-18 17:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:47:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 1210 0 None None None 2021-08-20 11:25:03 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:59 UTC

Description Stefan Schimanski 2021-08-20 11:24:04 UTC
ckao still uses rc1 libraries of kube.

Comment 2 Rahul Gangwar 2021-08-24 07:06:57 UTC
oc get clusterversion      
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-0.nightly-2021-08-23-224104   True        False         3h10m   Cluster version is 4.9.0-0.nightly-2021-08-23-224104

oc adm release info --commits -o json | jq '.references.spec.tags[] | select(.name == "cluster-kube-apiserver-operator") | .annotations["io.openshift.build.source-location"] + "/blob/" + .annotations["io.openshift.build.commit.id"] + "/go.mod"'
"https://github.com/openshift/cluster-kube-apiserver-operator/blob/8516fbf638f7875f284666b960e6b0db5abd357f/go.mod"

Have the library updated version.
module github.com/openshift/cluster-kube-apiserver-operator

go 1.16

require (
	github.com/apparentlymart/go-cidr v1.0.1
	github.com/blang/semver v3.5.1+incompatible
	github.com/davecgh/go-spew v1.1.1
	github.com/ghodss/yaml v1.0.0
	github.com/gonum/graph v0.0.0-20190426092945-678096d81a4b
	github.com/google/go-cmp v0.5.5
	github.com/google/gofuzz v1.2.0 // indirect
	github.com/imdario/mergo v0.3.8
	github.com/openshift/api v0.0.0-20210817132244-67c28690af52
	github.com/openshift/build-machinery-go v0.0.0-20210806203541-4ea9b6da3a37
	github.com/openshift/client-go v0.0.0-20210730113412-1811c1b3fc0e
	github.com/openshift/library-go v0.0.0-20210819104210-e14e06ba8d47
	github.com/pkg/profile v1.5.0 // indirect
	github.com/prometheus-operator/prometheus-operator/pkg/client v0.45.0
	github.com/prometheus/client_golang v1.11.0
	github.com/spf13/cobra v1.1.3
	github.com/spf13/pflag v1.0.5
	github.com/stretchr/testify v1.7.0
	go.etcd.io/etcd/client/v3 v3.5.0
	golang.org/x/sys v0.0.0-20210616094352-59db8d763f22
	k8s.io/api v0.22.1
	k8s.io/apiextensions-apiserver v0.22.1
	k8s.io/apimachinery v0.22.1
	k8s.io/apiserver v0.22.1
	k8s.io/client-go v0.22.1
	k8s.io/component-base v0.22.1
	k8s.io/klog/v2 v2.9.0
	k8s.io/utils v0.0.0-20210707171843-4b05e18ac7d9
	sigs.k8s.io/kube-storage-version-migrator v0.0.4
)

Comment 5 errata-xmlrpc 2021-10-18 17:47:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.